2005-10-03  Marcel Telka  <marcel@telka.sk>

	Version 0.4.2 released.

2005-10-03  Marcel Telka  <marcel@telka.sk>

	* Makefile.am: Fixed syntax for stdint.h installation movement.

2005-10-03  Marcel Telka  <marcel@telka.sk>

	* Makefile.am: Moved stdint.h installation to common include installation path.

2005-10-03  Marcel Telka  <marcel@telka.sk>

	* Makefile.am (openwinceincdir): Removed different setting for hwbench.
	* configure.ac (HWBENCH_PATH): Removed unused constant.

2005-09-29  Marcel Telka  <marcel@telka.sk>

	* h8/h83048/adc.h: Simplified preprocessor directive syntax.
	* h8/h83048/dac.h: Ditto.
	* h8/h83048/dmac.h: Ditto.
	* h8/h83048/flash.h: Ditto.
	* h8/h83048/ic.h: Ditto.
	* h8/h83048/itu.h: Ditto.
	* h8/h83048/other.h: Ditto.
	* h8/h83048/ports.h: Ditto.
	* h8/h83048/rc.h: Ditto.
	* h8/h83048/sci.h: Ditto.
	* h8/h83048/tpc.h: Ditto.
	* h8/h83048/wdt.h: Ditto.

2005-09-29  Marcel Telka  <marcel@telka.sk>

	* common.h: Replaced file content with openwince.h include.

	* arm/arm.h: Replaced common.h include with openwince.h.
	* arm/pxa2x0/ac97.h: Ditto.
	* arm/pxa2x0/cm.h: Ditto.
	* arm/pxa2x0/dma.h: Ditto.
	* arm/pxa2x0/gpio.h: Ditto.
	* arm/pxa2x0/i2c.h: Ditto.
	* arm/pxa2x0/i2s.h: Ditto.
	* arm/pxa2x0/ic.h: Ditto.
	* arm/pxa2x0/icp.h: Ditto.
	* arm/pxa2x0/lcd.h: Ditto.
	* arm/pxa2x0/mc.h: Ditto.
	* arm/pxa2x0/mmc.h: Ditto.
	* arm/pxa2x0/ost.h: Ditto.
	* arm/pxa2x0/pmrc.h: Ditto.
	* arm/pxa2x0/pwm.h: Ditto.
	* arm/pxa2x0/rtc.h: Ditto.
	* arm/pxa2x0/ssp.h: Ditto.
	* arm/pxa2x0/uart.h: Ditto.
	* arm/pxa2x0/udc.h: Ditto.
	* arm/sa11x0/gpclk.h: Ditto.
	* arm/sa11x0/gpio.h: Ditto.
	* arm/sa11x0/hssp.h: Ditto.
	* arm/sa11x0/ic.h: Ditto.
	* arm/sa11x0/lcd.h: Ditto.
	* arm/sa11x0/mc.h: Ditto.
	* arm/sa11x0/mcp.h: Ditto.
	* arm/sa11x0/ost.h: Ditto.
	* arm/sa11x0/pm.h: Ditto.
	* arm/sa11x0/ppc.h: Ditto.
	* arm/sa11x0/rc.h: Ditto.
	* arm/sa11x0/rtc.h: Ditto.
	* arm/sa11x0/ssp.h: Ditto.
	* arm/sa11x0/uart.h: Ditto.
	* arm/sa11x0/udc.h: Ditto.
	* device/codec/ucb1400.h: Ditto.
	* device/flash/28fxxxj.h: Ditto.
	* device/flash/28fxxxk.h: Ditto.
	* device/flash/cfi.h: Ditto.
	* device/flash/intel.h: Ditto.
	* device/other/hd64461/afe.h: Ditto.
	* device/other/hd64461/gpio.h: Ditto.
	* device/other/hd64461/intc.h: Ditto.
	* device/other/hd64461/lcdc.h: Ditto.
	* device/other/hd64461/pcc.h: Ditto.
	* device/other/hd64461/stbsys.h: Ditto.
	* device/other/hd64461/timer.h: Ditto.
	* h8/h83048/adc.h: Ditto.
	* h8/h83048/dac.h: Ditto.
	* h8/h83048/dmac.h: Ditto.
	* h8/h83048/flash.h: Ditto.
	* h8/h83048/ic.h: Ditto.
	* h8/h83048/itu.h: Ditto.
	* h8/h83048/other.h: Ditto.
	* h8/h83048/ports.h: Ditto.
	* h8/h83048/rc.h: Ditto.
	* h8/h83048/sci.h: Ditto.
	* h8/h83048/tpc.h: Ditto.
	* h8/h83048/wdt.h: Ditto.
	* h8/h8s2357/adc.h: Ditto.
	* h8/h8s2357/bus.h: Ditto.
	* h8/h8s2357/dac.h: Ditto.
	* h8/h8s2357/dmac.h: Ditto.
	* h8/h8s2357/dtc.h: Ditto.
	* h8/h8s2357/flash.h: Ditto.
	* h8/h8s2357/ic.h: Ditto.
	* h8/h8s2357/mcu.h: Ditto.
	* h8/h8s2357/ports.h: Ditto.
	* h8/h8s2357/ppg.h: Ditto.
	* h8/h8s2357/sci.h: Ditto.
	* h8/h8s2357/timer.h: Ditto.
	* h8/h8s2357/tpu.h: Ditto.
	* h8/h8s2357/wdt.h: Ditto.
	* sh/sh7709s/intc.h: Ditto.
	* sh/sh7750/ccn.h: Ditto.

2005-09-29  Marcel Telka  <marcel@telka.sk>

	* Makefile.am (nobase_openwinceinc_HEADERS): Added openwince.h.
	* openwince.h: New file. Copied from common.h.
	* configure.ac (AC_INIT): Changed version number to 0.4.2.

2005-07-15  Marcel Telka  <marcel@telka.sk>

	Version 0.4.1 released.

2005-07-15  Marcel Telka  <marcel@telka.sk>

	* stdint/stdint-hwbench.h: Changed comments. Disabled macros for C++ via
		__STDC_LIMIT_MACROS and __STDC_CONSTANT_MACROS.
	* stdint/stdint-win32.h: Disabled macros for C++ via __STDC_LIMIT_MACROS
		and __STDC_CONSTANT_MACROS.

2005-07-15  Marcel Telka  <marcel@telka.sk>

	* acinclude.m4 (AX_CREATE_STDINT_H): Fixed typo (unsinged -> unsigned).

2005-07-14  Marcel Telka  <marcel@telka.sk>

	* acinclude.m4 (AX_CREATE_STDINT_H): Updated to version from ac-archive 0.5.63.
	(AC_COMPILE_CHECK_SIZEOF): Macro removed.
	* configure.ac (AC_INIT): Changed version number to 0.4.1.

2005-07-12  Marcel Telka  <marcel@telka.sk>

	Version 0.4 released.

2005-07-12  Marcel Telka  <marcel@telka.sk>

	* sh/sh7709s/intc.h: New file.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added sh/sh7709s/intc.h.

2005-06-29  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Simplified support for Hitachi Workbench/IAR Compiler.

2005-06-28  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.4.

2005-06-28  Marcel Telka  <marcel@telka.sk>

	* Makefile.am: Enabled installation for Hitachi Workbench.
	* configure.ac: Ditto.

2005-06-27  Marcel Telka  <marcel@telka.sk>

	* stdint/stdint-hwbench.h: New file.
	* Makefile.am (noinst_HEADERS): Added stdint/stdint-hwbench.h.

2005-06-27  Marcel Telka  <marcel@telka.sk>

	* win32/stdint.h: File renamed and moved ...
	* stdint/stdint-win32.h: ... here.
	* Makefile.am (noinst_HEADERS): Changed filename of stdint.h for win32.

2005-06-27  Marcel Telka  <marcel@telka.sk>

	* configure.ac: Fixed Hitachi Workbench detection.

2005-06-27  Marcel Telka  <marcel@telka.sk>

	* autogen.sh: Used autoreconf call for initial configuration.
	* configure.ac: Added initial support for Hitachi Workbench.

2005-06-16  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/mcu.h (SBYCR, SYSCR, SCKCR, MDCR, MSTPCRH, MSTPCRL)
	(SYSCR2): Added assembly alternatives to C register names defines.

2005-06-10  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h83048/itu.h: Replaced 8 bit register pairs with 16 bit registers
		TCNT, GRA, GRB, BRA, BRB.

2005-06-03  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h83048/sci.h (SSR_RDFR): Constant renamed to ...
	(SSR_RDRF): ... this one.
	* h8/h8s2357/sci.h: Ditto.

2005-06-03  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h83048/adc.h: Register structures defined as volatile.
	* h8/h83048/dac.h: Ditto.
	* h8/h83048/dmac.h: Ditto.
	* h8/h83048/flash.h: Ditto.
	* h8/h83048/ic.h: Ditto.
	* h8/h83048/itu.h: Ditto.
	* h8/h83048/other.h: Ditto.
	* h8/h83048/ports.h: Ditto.
	* h8/h83048/rc.h: Ditto.
	* h8/h83048/sci.h: Ditto.
	* h8/h83048/tpc.h: Ditto.
	* h8/h83048/wdt.h: Ditto.
	* h8/h8s2357/adc.h: Ditto.
	* h8/h8s2357/bus.h: Ditto.
	* h8/h8s2357/dac.h: Ditto.
	* h8/h8s2357/dmac.h: Ditto.
	* h8/h8s2357/dtc.h: Ditto.
	* h8/h8s2357/flash.h: Ditto.
	* h8/h8s2357/ic.h: Ditto.
	* h8/h8s2357/mcu.h: Ditto.
	* h8/h8s2357/ports.h: Ditto.
	* h8/h8s2357/ppg.h: Ditto.
	* h8/h8s2357/sci.h: Ditto.
	* h8/h8s2357/timer.h: Ditto.
	* h8/h8s2357/tpu.h: Ditto.
	* h8/h8s2357/wdt.h: Ditto.

2005-06-03  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/mcu.h (MSTPCR): Register splitted into MSTPCRH and MSTPCRL.

2005-06-02  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/tpu.h: Added bit names for TIER registers.
	* h8/h8s2357/ports.h: Fixed newline at end of file.

2005-06-02  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/timer.h: Added prefix TIMER to registers constants - fixed
		collisions with constants in tpu.h and wdt.h.

2005-06-02  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h83048/rc.h: New file.
	* h8/h83048/tpc.h: Ditto.
	* h8/h83048/wdt.h: Ditto.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2005-06-02  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/wdt.h (TCSR_OWF): Constant renamed to ...
	(TCSR_OVF): ... this one.

2005-06-02  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h83048/itu.h: Added registers bit names.

2005-06-01  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h83048/adc.h: New file.
	* h8/h83048/dac.h: Ditto.
	* h8/h83048/dmac.h: Ditto.
	* h8/h83048/flash.h: Ditto.
	* h8/h83048/ic.h: Ditto.
	* h8/h83048/itu.h: Ditto.
	* h8/h83048/other.h: Ditto.
	* h8/h83048/ports.h: Ditto.
	* h8/h83048/sci.h: Ditto.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2005-06-01  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/wdt.h (__reserved): Fixed variable type.

2005-06-01  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/dmac.h (DMABCR_FAE1, DMABCR_FAE0, DMABCR_DTIE1B, DMABCR_DTIE1A)
	(DMABCR_DTIE0B, DMABCR_DTIE0A): Fixed constants multiple definition.

2005-05-31  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/dtc.h: New file.
	* h8/h8s2357/mcu.h: Ditto.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2005-05-31  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/bus.h: New file.
	* h8/h8s2357/dmac.h: Ditto.
	* h8/h8s2357/ic.h: Ditto.
	* h8/h8s2357/ppg.h: Ditto.
	* h8/h8s2357/wdt.h: Ditto.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2005-05-27  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/ports.h: New file.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2005-05-27  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/dac.h: New file.
	* h8/h8s2357/flash.h: Ditto.
	* h8/h8s2357/timer.h: Ditto.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2005-05-27  Branislav Petrovsky  <brano111@szm.sk>

	* h8/h8s2357/adc.h: New file.
	* h8/h8s2357/sci.h: Ditto.
	* h8/h8s2357/tpu.h: Ditto.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2004-12-20  Marcel Telka  <marcel@telka.sk>

	* device/other/hd64461/afe.h: New file.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added device/other/hd64461/afe.h.

2004-12-20  Marcel Telka  <marcel@telka.sk>

	* device/other/hd64461/gpio.h: New file.
	* device/other/hd64461/intc.h: Ditto.
	* device/other/hd64461/lcdc.h: Ditto.
	* device/other/hd64461/pcc.h: Ditto.
	* device/other/hd64461/stbsys.h: Ditto.
	* device/other/hd64461/timer.h: Ditto.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added new files.

2004-08-06  Marcel Telka  <marcel@telka.sk>

	* win32/stdint.h (uintptr_t): Changed type definition from DWORD_PTR to UINT_PTR.

2003-11-19  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.3.3.
	* std/mic.h: Added more manufacturers.

2003-11-09  Marcel Telka  <marcel@telka.sk>

	* sh/sh7750/ccn.h: New file.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added sh/sh7750/ccn.h.

2003-11-02  Marcel Telka  <marcel@telka.sk>

	* brux/flash.h (detectflash): Added new parameter adr.

2003-10-11  Marcel Telka  <marcel@telka.sk>

	Version 0.3.2 released.

2003-10-11  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.3.2.

2003-09-05  Marcel Telka  <marcel@telka.sk>

	* brux/bus.h (bus_t, bus_driver_t): Separated bus_driver_t from bus_t.

2003-08-28  Marcel Telka  <marcel@telka.sk>

	* brux/bus.h (bus_area_t): New structure.
	(bus_t): Removed width member, added area member.

2003-08-27  Marcel Telka  <marcel@telka.sk>

	* brux/flash.h: Added FLASH_ERROR_* macros.

2003-08-20  Marcel Telka  <marcel@telka.sk>

	Version 0.3.1 released.

2003-08-20  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.3.1.
	* Makefile.am (nobase_openwinceinc_HEADERS): Removed win32/stdint.h.
	(noinst_HEADERS): Added win32/stdint.h.
	* acinclude.m4 (AX_CREATE_STDINT_H): Forced not to include other stdint.h.

2003-08-19  Marcel Telka  <marcel@telka.sk>

	Version 0.3 released.

2003-08-12  Marcel Telka  <marcel@telka.sk>

	* win32/stdint.h: New file.

2003-08-11  Marcel Telka  <marcel@telka.sk>

	* brux/bus.h (struct bus): Added new member 'printinfo'.

2003-07-30  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.3.
	(AX_CREATE_STDINT_H): Added macro invocation.
	(AC_CHECK_HEADERS): Added stdint.h.
	(AM_CONDITIONAL): Added GENERATE_STDINT_H.
	* Makefile.am (nobase_openwinceinc_HEADERS): Removed stdint.h.
	(nodist_openwinceinc_HEADERS): Added owce-stdint.h and conditionally added stdint.h.
	(stdint.h): Added explicit target to generate stdint.h.
	(CLEANFILES): Adde stdint.h.
	* acinclude.m4: New file.
	* stdint.h: File removed.

2003-06-12  Marcel Telka  <marcel@telka.sk>

	* brux/flash.h (flash_driver_t): Renamed 'flash_readarray' member to 'readarray'.

2003-06-10  Marcel Telka  <marcel@telka.sk>

	* brux/flash.h (flash_driver_t): Added new type.

2003-06-10  Marcel Telka  <marcel@telka.sk>

	* brux/bus.h (bus_t): Changed return type from int to unsigned int for width().

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* brux/cmd.h (cmds): Added external variable declaration.
	* brux/bus.h (bus): Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* brux/cmd.h: New file extracted from jtag module, file src/cmd/cmd.h.
	* Makefile.am (nobase_openwinceinc_HEADERS): Added brux/flash.h and brux/cmd.h.

2003-06-03  Marcel Telka  <marcel@telka.sk>

	* brux/flash.h: New file extracted from jtag module, file include/jtag.h.

2003-05-30  Marcel Telka  <marcel@telka.sk>

	* Makefile.am (nobase_openwinceinc_HEADERS): Added brux/cfi.h.
	* brux/cfi.h: New file extracted from include/cfi.h from jtag module.

2003-05-30  Marcel Telka  <marcel@telka.sk>

	* Makefile.am (nobase_openwinceinc_HEADERS): Added brux/bus.h.
	* brux/bus.h: New file extracted from include/bus.h from jtag module.

2003-04-26  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/ac97.h: Changed comments for PXA255. Replaced PXA2X0_NOPXA26X with
		PXA2X0_NOPXA255 and PXA2X0_NOPXA260.
	* arm/pxa2x0/cm.h: Ditto.
	* arm/pxa2x0/dma.h: Ditto.
	* arm/pxa2x0/gpio.h: Ditto.
	* arm/pxa2x0/i2c.h: Ditto.
	* arm/pxa2x0/i2s.h: Ditto.
	* arm/pxa2x0/ic.h: Ditto.
	* arm/pxa2x0/icp.h: Ditto.
	* arm/pxa2x0/lcd.h: Ditto.
	* arm/pxa2x0/mc.h: Ditto.
	* arm/pxa2x0/mmc.h: Ditto.
	* arm/pxa2x0/ost.h: Ditto.
	* arm/pxa2x0/pmrc.h: Ditto.
	* arm/pxa2x0/pwm.h: Ditto.
	* arm/pxa2x0/rtc.h: Ditto.
	* arm/pxa2x0/ssp.h: Ditto.
	* arm/pxa2x0/uart.h: Ditto.
	* arm/pxa2x0/udc.h: Ditto.
	* arm/pxa2x0/cm.h (CCCR_M_4): New macro for PXA255 and above.
	* arm/pxa2x0/udc.h (UDCCFR): New register for PXA255 and above.

2003-04-14  Marcel Telka  <marcel@telka.sk>

	* arm/arm.h: Added System Control Coprocessor Control Register bits.
	(PSR_MODE): Fixed bug in macro declaration.
	(PSR_MODE_MASK): Rewritten using bits() macro.

2003-04-04  Marcel Telka  <marcel@telka.sk>

	Version 0.2.3 released.

2003-04-02  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.2.3.

2003-04-02  Marcel Telka  <marcel@telka.sk>

	* stdint.h: Ported to NetBSD (thanks to Jachym Holecek).

2003-03-19  Marcel Telka  <marcel@telka.sk>

	Version 0.2.2 released.

2003-03-19  Marcel Telka  <marcel@telka.sk>

	* configure.ac (AC_INIT): Changed version number to 0.2.2.

2003-03-17  Marcel Telka  <marcel@telka.sk>

	* stdint.h: Ported to cygwin-1.3.21. uint8_t, uint16_t, uint32_t, uint64_t,
		and uintptr_t are now declared in cygwin/types.h.

2003-02-12  Marcel Telka  <marcel@telka.sk>

	Version 0.2.1 released.

2003-02-04  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/ac97.h: Added get_* macros for register bits.
	* arm/pxa2x0/cm.h: Ditto.
	* arm/pxa2x0/i2c.h: Ditto.
	* arm/pxa2x0/i2s.h: Ditto.
	* arm/pxa2x0/icp.h: Ditto.
	* arm/pxa2x0/mc.h: Ditto.
	* arm/pxa2x0/mmc.h: Ditto.
	* arm/pxa2x0/pwm.h: Ditto.
	* arm/pxa2x0/rtc.h: Ditto.
	* arm/pxa2x0/ssp.h: Ditto.
	* arm/pxa2x0/udc.h: Ditto.
	* configure.ac (AC_INIT): Changed version number to 0.2.1.
	(AM_INIT_AUTOMAKE): Added check-news and dist-bzip2 parameters.

2003-02-04  Marcel Telka  <marcel@telka.sk>

	* arm/platform.h: Removed unused file.
	* arm/platform/wep.h: Ditto.
	* arm/platform/wid.h: Ditto.

2003-01-31  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/dma.h (DCSR_BUSERRINTR): Fixed typo in macro name (patch 678112).
		Thanks to Daniel Samek.

2003-01-27  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/dma.h (get_DRCMR_CHLNUM): Fixed a typo.

2003-01-27  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/dma.h: Added DRCMR symbolic names and offsets (suggested by Daniel Samek,
		patch 675417). Added get_* macros for register bits.

2003-01-17  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/cm.h: Fixed CKEN_CKEN4 declaration.

2003-01-17  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/lcd.h: Added get_* macros for register bits. Fixed TCR_TVBS macro.

2003-01-17  Marcel Telka  <marcel@telka.sk>

	* ac97.h: Moved this
	* device/codec/ac97.h: here.
	* ucb1400.h: Moved this
	* device/codec/ucb1400.h: here.

2003-01-10  Marcel Telka  <marcel@telka.sk>

	* stdint.h: Ported to glibc (removed compilation warning).

2002-12-05  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/ost.h: Added OSMRx (x = 0 through 3) macros.

2002-11-28  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/mc.h: Added register bits for MECR, SXCNFG, SXMRS,	MCMEMx, MCATTx,
		MCIOx, BOOT_DEF.

2002-11-22  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/mmc.h: Added MMC commands (from Juraj Fabo).

2002-11-20  Marcel Telka  <marcel@telka.sk>

	* ucb1400.h: Added UCB1400_ADCC_AI_* declarations (suggested by Juraj Fabo).

2002-11-09  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/dma.h: Added DINT register bits.

2002-11-09  Marcel Telka  <marcel@telka.sk>

	* COPYING: Added BSD license file.

2002-11-08  Marcel Telka  <marcel@telka.sk>

	Version 0.2 released.

2002-11-07  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/gpio.h: Removed GPIOs not available for PXA210.

2002-11-06  Marcel Telka  <marcel@telka.sk>

	* common.h: Added bits_get() macro.
	* arm/pxa2x0/uart.h: Added get_* macros for register bits.
	* arm/pxa2x0/ic.h: Added symbolic names for IRQs.

2002-11-04  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/*: Added support for Intel PXA2x0 family processors.
	* arm/pxa2x0/uart.h: Fixed SPR_SP declaration, removed access to STMRS register.
	* arm/pxa2x0/mc.h: Fixed BOOT_DEF_OFFSET declaration.
	* arm/pxa2x0/gpio.h: Added ALT_FN_0_IN and ALT_FN_0_OUT declarations.
	* arm/pxa2x0/pmrc.h: Added missing PWER_WEx (where x = 0 through 15) declarations.
	* arm/pxa2x0/rtc.h: Fixed RTTR bit declarations.

2002-11-02  Marcel Telka  <marcel@telka.sk>

	* arm/pxa2x0/*: Added _t suffix for register type names.
	* arm/sa11x0/*: Ditto.
	* device/flash/cfi.h: Removed _t suffix from structure names.

2002-11-01  Marcel Telka  <marcel@telka.sk>

	Version 0.1 released.

